.blog #header {
  background-color: var(--color-primary);
}
.post-grid {
  padding-top: 148px;
  display: grid;
  grid-template-columns: repeat(4, 1fr); /* Four columns for very large screens */
  gap: 32px;
  padding-left: 64px; /* Adjust padding for larger screens */
  padding-right: 64px; /* Adjust padding for larger screens */
}

.post-item {
  opacity: 0;
  transform: translateX(20px);
  transition:
    opacity 0.7s ease-out,
    transform 0.7s ease-out;
}

.post-item.is-visible {
  opacity: 1;
  transform: translateX(0);
}

.post-item .post-thumbnail {
  width: 100%;
  height: 320px; /* Adjusted height for larger screens */
}

.post-item .post-thumbnail img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* Ensure images cover the thumbnail area */
}

.post-item .post-content .post-title {
  line-height: 120%;
  color: var(--color-black);
  text-decoration: none;
  letter-spacing: 0;
}

.post-item .post-content .post-title a {
  color: var(--color-black);
  text-decoration: none;
}

.post-item .post-content .post-excerpt {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.post-item .post-content .post-excerpt p {
  margin: 0;
  color: var(--color-black);
}

.post-item .post-content .post-date {
  color: var(--color-black);
  margin-top: 16px;
}

.pagination {
  margin-top: 20px;
  margin-bottom: 48px;
  text-align: center;
}

.pagination .nav-links {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 20px;
}

.pagination .nav-links .page-numbers {
  color: var(--text-primary);
  text-decoration: none;
  font-size: 20px;
  font-weight: 400;
  line-height: 29px;
  width: 32px;
  height: 32px;
}

.pagination .nav-links span {
  border: 2px solid var(--text-primary);
  border-radius: 100%;
}

.pagination .next,
.pagination .prev {
  display: none;
}

/* XXL Screens (1800px and up) */
@media (min-width: 1800px) {
  .blog #header {
    background-color: var(--color-primary);
  }
  .post-grid {
    padding-top: 148px;
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* Four columns for very large screens */
    gap: 32px;
    padding-left: 64px; /* Adjust padding for larger screens */
    padding-right: 64px; /* Adjust padding for larger screens */
  }

  .post-item {
    opacity: 0;
    transform: translateX(20px);
    transition:
      opacity 0.7s ease-out,
      transform 0.7s ease-out;
  }

  .post-item.is-visible {
    opacity: 1;
    transform: translateX(0);
  }

  .post-item .post-thumbnail {
    width: 100%;
    height: 320px; /* Adjusted height for larger screens */
  }

  .post-item .post-thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Ensure images cover the thumbnail area */
  }

  .post-item .post-content .post-title {
    line-height: 120%;
    color: var(--color-black);
    text-decoration: none;
    letter-spacing: 0;
  }

  .post-item .post-content .post-title a {
    color: var(--color-black);
    text-decoration: none;
  }

  .post-item .post-content .post-excerpt {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
  }

  .post-item .post-content .post-excerpt p {
    margin: 0;
    color: var(--color-black);
  }

  .post-item .post-content .post-date {
    color: var(--color-black);
    margin-top: 16px;
  }

  .pagination {
    margin-top: 20px;
    margin-bottom: 48px;
    text-align: center;
  }

  .pagination .nav-links {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
  }

  .pagination .nav-links .page-numbers {
    color: var(--text-primary);
    text-decoration: none;
    font-size: 20px;
    font-weight: 400;
    line-height: 29px;
    width: 32px;
    height: 32px;
  }

  .pagination .nav-links span {
    border: 2px solid var(--text-primary);
    border-radius: 100%;
  }

  .pagination .next,
  .pagination .prev {
    display: none;
  }
}

/* XL Screens (1600px-1799px) */
@media (min-width: 1600px) and (max-width: 1799px) {
  .blog #header {
    background-color: var(--color-primary);
  }

  .post-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 28px;
    padding-top: 148px;
  }

  .post-item {
    opacity: 0;
    transform: translateX(20px);
    transition:
      opacity 0.7s ease-out,
      transform 0.7s ease-out;
  }

  .post-item.is-visible {
    opacity: 1;
    transform: translateX(0);
  }

  .post-item .post-thumbnail {
    height: 280px;
  }

  .pagination {
    margin-top: 20px;
    margin-bottom: 48px;
    text-align: center;
  }

  .pagination .nav-links {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
  }

  .pagination .nav-links .page-numbers {
    color: var(--text-primary);
    text-decoration: none;
    font-size: 20px;
    font-weight: 400;
    line-height: 29px;
    width: 32px;
    height: 32px;
  }

  .pagination .nav-links span {
    border: 2px solid var(--text-primary);
    border-radius: 100%;
  }

  .pagination .next,
  .pagination .prev {
    display: none;
  }
}

/* Large Screens (1400px-1599px) */
@media (min-width: 1400px) and (max-width: 1599px) {
  .blog #header {
    background-color: var(--color-primary);
  }

  .post-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
    padding-top: 148px;
  }

  .post-item {
    opacity: 0;
    transform: translateX(20px);
    transition:
      opacity 0.7s ease-out,
      transform 0.7s ease-out;
  }

  .post-item.is-visible {
    opacity: 1;
    transform: translateX(0);
  }

  .post-item .post-thumbnail {
    height: 300px;
  }

  .pagination {
    margin-top: 20px;
    margin-bottom: 48px;
    text-align: center;
  }

  .pagination .nav-links {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
  }

  .pagination .nav-links .page-numbers {
    color: var(--text-primary);
    text-decoration: none;
    font-size: 20px;
    font-weight: 400;
    line-height: 29px;
    width: 32px;
    height: 32px;
  }

  .pagination .nav-links span {
    border: 2px solid var(--text-primary);
    border-radius: 100%;
  }

  .pagination .next,
  .pagination .prev {
    display: none;
  }
}

/* Medium-Large Screens (1200px-1399px) */
@media (min-width: 1200px) and (max-width: 1399px) {
  .blog #header {
    background-color: var(--color-primary);
  }

  .post-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 24px;
    padding-top: 148px;
  }

  .post-item {
    opacity: 0;
    transform: translateX(20px);
    transition:
      opacity 0.7s ease-out,
      transform 0.7s ease-out;
  }

  .post-item.is-visible {
    opacity: 1;
    transform: translateX(0);
  }

  .post-item .post-thumbnail {
    height: 260px;
  }

  .pagination {
    margin-top: 20px;
    margin-bottom: 48px;
    text-align: center;
  }

  .pagination .nav-links {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
  }

  .pagination .nav-links .page-numbers {
    color: var(--text-primary);
    text-decoration: none;
    font-size: 20px;
    font-weight: 400;
    line-height: 29px;
    width: 32px;
    height: 32px;
  }

  .pagination .nav-links span {
    border: 2px solid var(--text-primary);
    border-radius: 100%;
  }

  .pagination .next,
  .pagination .prev {
    display: none;
  }
}

/* Small-Medium Screens (max-width: 1199px) */
@media (max-width: 1199px) {
  .blog #header {
    background-color: var(--color-primary);
  }

  .post-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 28px;
    padding-top: 148px;
  }

  .post-item {
    opacity: 0;
    transform: translateX(20px);
    transition:
      opacity 0.7s ease-out,
      transform 0.7s ease-out;
  }

  .post-item.is-visible {
    opacity: 1;
    transform: translateX(0);
  }

  .post-item .post-thumbnail {
    height: 280px;
  }

  .pagination {
    margin-top: 20px;
    margin-bottom: 48px;
    text-align: center;
  }

  .pagination .nav-links {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
  }

  .pagination .nav-links .page-numbers {
    color: var(--text-primary);
    text-decoration: none;
    font-size: 20px;
    font-weight: 400;
    line-height: 29px;
    width: 32px;
    height: 32px;
  }

  .pagination .nav-links span {
    border: 2px solid var(--text-primary);
    border-radius: 100%;
  }

  .pagination .next,
  .pagination .prev {
    display: none;
  }
}

/* Small Screens (max-width: 992px) */
@media (max-width: 992px) {
  .blog #header {
    background-color: var(--color-primary);
    width: 100% !important;
  }

  .post-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
    padding-top: 148px;
  }

  .post-item .post-thumbnail {
    height: 240px;
  }

  .post-item .post-thumbnail {
    width: 100%;
    height: 320px; /* Adjusted height for larger screens */
  }

  .post-item .post-thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Ensure images cover the thumbnail area */
  }

  .pagination {
    margin-top: 20px;
    margin-bottom: 48px;
    text-align: center;
  }

  .pagination .nav-links {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
  }

  .pagination .nav-links .page-numbers {
    color: var(--text-primary);
    text-decoration: none;
    font-size: 20px;
    font-weight: 400;
    line-height: 29px;
    width: 32px;
    height: 32px;
  }

  .pagination .nav-links span {
    border: 2px solid var(--text-primary);
    border-radius: 100%;
  }

  .pagination .next,
  .pagination .prev {
    display: none;
  }

  .post-excerpt {
    display: none !important;
  }

  .post-grid .post-title {
    margin-bottom: 4px !important;
  }

  .post-grid .post-date {
    margin-top: 8px !important;
  }
}

/* Mobile Screens (max-width: 768px) */
@media (max-width: 768px) {
  .blog #header {
    background-color: var(--color-primary);
    width: 100% !important;
  }

  .post-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 32px;
    padding-top: 120px;
    /* width: 100%; */
    padding-left: 24px; /* Adjust padding for larger screens */
    padding-right: 24px; /* Adjust padding for larger screens */
  }

  .post-item .post-thumbnail {
    height: 220px;
  }

  .pagination {
    margin-top: 20px;
    margin-bottom: 48px;
    text-align: center;
  }

  .pagination .nav-links {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
  }

  .pagination .nav-links .page-numbers {
    color: var(--text-primary);
    text-decoration: none;
    font-size: 20px;
    font-weight: 400;
    line-height: 29px;
    width: 32px;
    height: 32px;
  }

  .pagination .nav-links span {
    border: 2px solid var(--text-primary);
    border-radius: 100%;
  }

  .pagination {
    margin-top: 20px;
    margin-bottom: 48px;
    text-align: center;
  }

  .pagination .nav-links {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
  }

  .pagination .nav-links .page-numbers {
    color: var(--text-primary);
    text-decoration: none;
    font-size: 20px;
    font-weight: 400;
    line-height: 29px;
    width: 32px;
    height: 32px;
  }

  .pagination .nav-links span {
    border: 2px solid var(--text-primary);
    border-radius: 100%;
  }

  .pagination .next,
  .pagination .prev {
    display: none;
  }

  .post-excerpt {
    display: none !important;
  }

  .post-grid .post-title {
    margin-bottom: 8px !important;
  }

  .post-grid .post-date {
    margin-top: 4px !important;
  }
}
